package cn.com.qmth.stmms.admin.basic;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.qmth.stmms.biz.basic.bean.TreeNode;
import cn.com.qmth.stmms.common.controller.BaseController;

@Controller
@RequestMapping("/admin/basic/privilege")
public class PrivilegeController extends BaseController {

    @RequestMapping(value = "tagTreeselect", method = RequestMethod.GET)
    public String tagTreeselect(Model model,HttpServletRequest request) {
    	model.addAttribute("url","/admin/basic/privilege/tree");
        return "modules/sys/tagTreeselect";
    }
    
    @ResponseBody
    @RequestMapping(value = "tree", method = RequestMethod.GET)
    public List<TreeNode> tree(HttpServletRequest request) {
    	List<TreeNode> ret=new ArrayList<>();
    	ret.add(new TreeNode("a1", "a", "a1",false,2));
        ret.add(new TreeNode("a2", "a", "a2",true,3));
        ret.add(new TreeNode("a", "root_code", "a",true,2));
        ret.add(new TreeNode("b", "root_code", "b",false,1));
        return ret;
    }
}
