package cn.com.qmth.stmms.biz.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.basic.model.RolePrivilege;
import cn.com.qmth.stmms.common.enums.Role;

public interface RolePrivilegeDao extends PagingAndSortingRepository<RolePrivilege, Integer>, JpaSpecificationExecutor<RolePrivilege>,
        JpaRepository<RolePrivilege, Integer> {

	List<RolePrivilege> findBySchoolIdAndRoleCodeAndEnable(Integer schoolId, Role role, boolean b);

}
